PATCH /apischema/{uuid}
/apischema/{uuid}/{uuid}
UUID of the object to fetch
object name
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
ApiSchema object creation
Show optional properties
{
"name": "string",
"type": "string"
}
{
"_last_modified": "string",
"additional_object_key_action": "string",
"additional_properties_schema": {
"max_value": "number",
"min_value": "number",
"schema_ref": "string",
"string_enum_values": [
"string"
],
"string_format": "string",
"string_max_length": 0,
"string_min_length": 0,
"string_pattern": "string",
"type": "string"
},
"allow_additional_properties": false,
"array_item_type": {
"max_value": "number",
"min_value": "number",
"schema_ref": "string",
"string_enum_values": [
"string"
],
"string_format": "string",
"string_max_length": 0,
"string_min_length": 0,
"string_pattern": "string",
"type": "string"
},
"composite_types": [
{
"max_value": "number",
"min_value": "number",
"schema_ref": "string",
"string_enum_values": [
"string"
],
"string_format": "string",
"string_max_length": 0,
"string_min_length": 0,
"string_pattern": "string",
"type": "string"
}
],
"description": "string",
"discriminator": {
"mapping": [
{
"discriminator_key": "string",
"schema_ref": "string"
}
],
"property_name": "string"
},
"max_items": 0,
"min_items": 0,
"name": "string",
"object_properties": [
{
"access_mode": "string",
"deprecated": false,
"name": "string",
"nullable": false,
"required": false,
"schema": {
"max_value": "number",
"min_value": "number",
"schema_ref": "string",
"string_enum_values": [
"string"
],
"string_format": "string",
"string_max_length": 0,
"string_min_length": 0,
"string_pattern": "string",
"type": "string"
}
}
],
"source": "string",
"tenant_ref": "string",
"type": "string",
"unique_items": false,
"url": "string",
"uuid": "string"
}
OK
{
"_last_modified": "string",
"additional_object_key_action": "string",
"additional_properties_schema": {
"max_value": "number",
"min_value": "number",
"schema_ref": "string",
"string_enum_values": [
"string"
],
"string_format": "string",
"string_max_length": 0,
"string_min_length": 0,
"string_pattern": "string",
"type": "string"
},
"allow_additional_properties": false,
"array_item_type": {
"max_value": "number",
"min_value": "number",
"schema_ref": "string",
"string_enum_values": [
"string"
],
"string_format": "string",
"string_max_length": 0,
"string_min_length": 0,
"string_pattern": "string",
"type": "string"
},
"composite_types": [
{
"max_value": "number",
"min_value": "number",
"schema_ref": "string",
"string_enum_values": [
"string"
],
"string_format": "string",
"string_max_length": 0,
"string_min_length": 0,
"string_pattern": "string",
"type": "string"
}
],
"description": "string",
"discriminator": {
"mapping": [
{
"discriminator_key": "string",
"schema_ref": "string"
}
],
"property_name": "string"
},
"max_items": 0,
"min_items": 0,
"name": "string",
"object_properties": [
{
"access_mode": "string",
"deprecated": false,
"name": "string",
"nullable": false,
"required": false,
"schema": {
"max_value": "number",
"min_value": "number",
"schema_ref": "string",
"string_enum_values": [
"string"
],
"string_format": "string",
"string_max_length": 0,
"string_min_length": 0,
"string_pattern": "string",
"type": "string"
}
}
],
"source": "string",
"tenant_ref": "string",
"type": "string",
"unique_items": false,
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Action to take on unspecified keys in an object. Enum options - API_ACTION_INHERIT_FROM_API_POLICY, API_ACTION_PASS, API_ACTION_FLAG, API_ACTION_REJECT. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Schema specification for scalar types, arrays, or schema references, defining data types and validation constraints for non-object properties.
When true, object keys not defined in object_properties are permitted. Corresponds to OpenAPI additionalProperties true. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Schema specification for scalar types, arrays, or schema references, defining data types and validation constraints for non-object properties.
Sub-schemas for this composite type (oneOf, anyOf, or allOf). Each entry must be a SCHEMA_TYPE_REFERENCE pointing to an ApiSchema. Field introduced in 32.1.4. Maximum of 64 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Description of this API schema. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Discriminator configuration used within composite schemas (oneOf/anyOf) to select the matching sub-schema based on payload property values.
Maximum number of items allowed in an array. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Minimum number of items allowed in an array. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of this object, unique per Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
List of properties for this object schema. Field introduced in 32.1.4. Maximum of 512 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Indicates whether this schema was user-defined or imported from an OpenAPI specification file. Enum options - SOURCE_USER_DEFINED, SOURCE_API_SPEC, SOURCE_DISCOVERED. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
The data type of this schema. Can be object, array, or a composite type (oneOf, anyOf, allOf). Enum options - SCHEMA_TYPE_UNDEFINED, SCHEMA_TYPE_STRING, SCHEMA_TYPE_INTEGER, SCHEMA_TYPE_NUMBER, SCHEMA_TYPE_BOOLEAN, SCHEMA_TYPE_NULL, SCHEMA_TYPE_ARRAY, SCHEMA_TYPE_OBJECT, SCHEMA_TYPE_REFERENCE, SCHEMA_TYPE_ONE_OF, SCHEMA_TYPE_ALL_OF, SCHEMA_TYPE_ANY_OF. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
If true, all items in the array must be unique. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
url
The object UUID. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","type":"string"}'